# -*- coding: utf-8 -*-
# Generated by Django 1.11.8 on 2023-12-01 08:44
from __future__ import unicode_literals

import accounting.common.mixins
from django.db import migrations, models
import django.db.models.deletion
import django_extensions.db.fields
import uuid


class Migration(migrations.Migration):

    dependencies = [
        ('account', '0005_account_file_upload_directory'),
    ]

    operations = [
        migrations.CreateModel(
            name='TaxComponent',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', django_extensions.db.fields.CreationDateTimeField(auto_now_add=True, verbose_name='created')),
                ('modified', django_extensions.db.fields.ModificationDateTimeField(auto_now=True, verbose_name='modified')),
                ('uuid', models.UUIDField(default=uuid.uuid4, editable=False, help_text='The universally unique identifier for this model instance.', verbose_name='UUID')),
                ('tax_type', models.CharField(help_text='The type of the tax. e.g. VAT, GST, etc.', max_length=50)),
                ('tax_rate', models.DecimalField(decimal_places=2, help_text='Percentage value of tax.', max_digits=5)),
                ('apply_by_default', models.BooleanField(default=True, help_text='Whether this tax component will be applied to invoice line items by default.')),
                ('hourly_rate', models.ForeignKey(help_text='The hourly rate to which this tax component is applicable.', on_delete=django.db.models.deletion.CASCADE, related_name='hourly_rate_taxes', to='account.HourlyRate')),
            ],
            options={
                'abstract': False,
            },
            bases=(accounting.common.mixins.ValidateModelMixin, models.Model),
        ),
    ]
